Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/metaTags/openaireMetaTags.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/metaTags/openaireMetaTags.class.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/metaTags/openaireMetaTags.class.ts	(revision 46415)
@@ -0,0 +1,18 @@
+import {Meta} from '../../../angular2-meta';
+
+export class OpenaireMetaTags{
+
+  constructor (private _meta: Meta ) {
+  }
+
+  updateDescription(description:string){
+    this._meta.updateMeta("description", description);
+    this._meta.updateMeta("og:description", description);
+  }
+  updateTitle(title:string){
+    var _suffix ="| OpenAIRE";
+    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    this._meta.setTitle(_title );
+    this._meta.updateMeta("og:title",_title);
+  }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.service.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/cookie-law.service.ts	(revision 46415)
@@ -0,0 +1,57 @@
+/**
+ * angular2-cookie-law
+ *
+ * Copyright 2016-2017, @andreasonny83, All rights reserved.
+ *
+ * @author: @andreasonny83 <andreasonny83@gmail.com>
+ */
+
+import { Injectable } from '@angular/core';
+
+@Injectable()
+export class CookieLawService {
+
+
+  seen(): boolean {
+    return this.cookieExists('cookieLawSeen');
+  }
+
+  storeCookie(): void {
+    return this.setCookie('cookieLawSeen');
+  }
+
+  /**
+   * try to read a saved cookie
+   *
+   * @param  {string} name [the cookie name]
+   *
+   * @return {string}      [the cookie's value]
+   */
+  private cookieExists(name: string): boolean {
+    if (typeof document !== 'undefined') {
+      let ca: Array<string> = document.cookie.split(';');
+      let caLen: number = ca.length;
+      let cookieName = name + '=';
+      let c: string;
+
+      for (let i: number = 0; i < caLen; i += 1) {
+        c = ca[i].replace(/^\s\+/g, '');
+        if (c.indexOf(cookieName) !== -1) {
+          return true;
+        }
+      }
+  }
+    return false;
+  }
+
+  /**
+   * store a new cookie in the browser
+   *
+   * @param {string} name [the name for the cookie]
+   */
+  private setCookie(name: string): void {
+    if (typeof document !== 'undefined') {
+      document.cookie = encodeURIComponent(name) + '=true; path=/';
+    }
+  }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.ts	(revision 46415)
@@ -5,10 +5,10 @@
 import {ActivatedRoute} from '@angular/router';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 import {RouterHelper} from '../../utils/routerHelper.class';
-// declare var switcher:any;
-// declare var UIkit:any;
+import { Meta} from '../../../angular2-meta';
 
 
+
 @Component({
     selector: 'publication',
     templateUrl: 'publication.component.html',
@@ -49,9 +49,7 @@
   public routerHelper:RouterHelper = new RouterHelper();
 
   constructor (private _publicationService: PublicationService,
-                private route: ActivatedRoute) {
-                    console.log("******CONSTR");
-                }
+                private route: ActivatedRoute, private _meta: Meta) { }
 
   ngOnInit() {
        this.sub =  this.route.queryParams.subscribe(data => {
@@ -58,7 +56,10 @@
 
           this.articleId = data['articleId'];
           console.info("Article id is :"+this.articleId);
+          this.updateTitle("Publication");
+          this.updateDescription("Publication, open access, collected from");
           if(this.articleId){
+
               this.getPublicationInfo(this.articleId);
               // if (typeof document !== 'undefined') {
               //   switcher(UIkit);
@@ -89,7 +90,8 @@
 
                 // this.result = []
                 // this.result = {id: id, type :"dataset", source : "openaire", title: this.publicationInfo.title,url: '', result: '', accessRights: this.publicationInfo.bestlicense, embargoEndDate: ''};
-
+                this.updateTitle(this.publicationInfo.title.name);
+                this.updateDescription("Dataset, search, repositories, open access,"+this.publicationInfo.title.name);
                 let bioentitiesNum = 0;
                 if(this.publicationInfo.bioentities != undefined) {
                     this.publicationInfo.bioentities.forEach(function (value, key, map) {
@@ -180,4 +182,14 @@
             </div>
         </div>*/
     }
+    updateDescription(description:string){
+      this._meta.updateMeta("description", description);
+      this._meta.updateMeta("og:description", description);
+    }
+    updateTitle(title:string){
+      var _suffix ="| OpenAIRE";
+      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      this._meta.setTitle(_title );
+      this._meta.updateMeta("og:title",_title);
+    }
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/icons.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/icons.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/sharedComponents/cookie-law/icons.ts	(revision 46415)
@@ -0,0 +1,13 @@
+/**
+ * angular2-cookie-law
+ *
+ * Copyright 2016-2017, @andreasonny83, All rights reserved.
+ *
+ * @author: @andreasonny83 <andreasonny83@gmail.com>
+ */
+
+export const closeIcon: string = `
+  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
+    <path d="M377.047 184.198q0 8.26-6.037 14.297L313.505 256l57.505 57.505q6.037 6.037 6.037 14.297 0 8.578-6.037 14.615l-28.593 28.593q-6.037 6.037-14.615 6.037-8.26 0-14.297-6.037L256 313.505l-57.505 57.505q-6.037 6.037-14.297 6.037-8.578 0-14.615-6.037l-28.593-28.593q-6.037-6.037-6.037-14.615 0-8.26 6.037-14.297L198.495 256l-57.505-57.505q-6.037-6.037-6.037-14.297 0-8.578 6.037-14.615l28.593-28.593q6.037-6.037 14.615-6.037 8.26 0 14.297 6.037L256 198.495l57.505-57.505q6.037-6.037 14.297-6.037 8.578 0 14.615 6.037l28.593 28.593q6.037 6.037 6.037 14.615zM500 256q0-66.401-32.724-122.477-32.724-56.075-88.799-88.799Q322.401 12 256 12q-66.401 0-122.477 32.724-56.075 32.724-88.799 88.799Q12 189.599 12 256q0 66.401 32.724 122.477 32.724 56.075 88.799 88.799Q189.599 500 256 500q66.401 0 122.477-32.724 56.075-32.724 88.799-88.799Q500 322.401 500 256z"></path>
+  </svg>
+`;
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/entitiesAutoComplete/entitySearch.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/entitiesAutoComplete/entitySearch.service.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/entitiesAutoComplete/entitySearch.service.ts	(revision 46415)
@@ -11,18 +11,25 @@
 @Injectable()
 export class EntitiesSearchService {
     private api ="https://beta.services.openaire.eu/provision/mvc/vocabularies/";
+    public ready:boolean = false;
     constructor(private http: Http, public _cache: CacheService) {}
 
     searchProjectsByFunder(keyword:string, funderId:string):any {
+      this.ready = false;
       let url =  OpenaireProperties. getSearchAPIURLLast()+"projects?"+((keyword && keyword.length > 0)?("q=" +keyword):"")+((funderId && funderId.length > 0 )?"&fq=funderid exact " + '"'+funderId+ '"':"")+"&size=10&page=0&format=json";
       return this.http.get(url).toPromise()
       .then(request =>
         {
           request = request.json().results;
+          this.ready = true;
           return this.parse(request,"oaf:project","project");
+        }).catch((ex) => {
+          console.error('An error occured', ex);
+          return  [{id:'-2',label:'Error'}];;
         });
       }
       searchByDepositType(keyword:string, DepositType:string):any {
+        this.ready = false;
         console.info("In searchOrganizationsforDeposit");
 
         let link = OpenaireProperties.getSearchResourcesAPIURL();
@@ -46,10 +53,11 @@
           {
             request = request.json().results;
             console.log(request);
+            this.ready = true;
             return this.parse(request,"oaf:organization","organization");
           }).catch((ex) => {
             console.error('An error occured', ex);
-            return null;
+            return  [{id:'-2',label:'Error'}];;
           });
         }
     searchByType(keyword:string,type:string){
@@ -96,16 +104,24 @@
     return this.fetch(link,id,oafEntityType,type)
 }
 private fetch (link,id,oafEntityType,type){
+  this.ready = false;
   let url = link+"/"+id+"?format=json";
   return this.http.get(url)
     .map(request => <any> request.json())
     // .do(res => console.info(res))
-    .map(request => <any>  this.parse(request,oafEntityType,type));
+    .map(request => {
+      this.ready = true;
+      this.parse(request,oafEntityType,type);
+    }).catch((ex) => {
+      console.error('An error occured', ex);
+      return  [{id:'-2',label:'Error'}];;
+    });
 
 
 
 }
     private search (link,keyword,oafEntityType,type){
+      this.ready = false;
       let url = link+"?";
       if(keyword!= null && keyword != ''  ) {
           url += "q="+ keyword;
@@ -116,10 +132,11 @@
                  .then(request =>
                    {
                      request = request.json().results;
+                     this.ready = true;
                      return this.parse(request,oafEntityType,type);
                    }).catch((ex) => {
                      console.error('An error occured', ex);
-                     return null;
+                     return [{id:'-2',label:'Error'}];
                    });
 
 
@@ -173,8 +190,8 @@
                   value.projectName = value.label;
                   value.endDate = null;
                   value.startDate = null;
-                  value.funderId = resData['fundingtree']['funder']['id'];
-                  value.funderName = resData['fundingtree']['funder']['shortname'];
+                  value.funderId = (resData['fundingtree'] && resData['fundingtree']['funder'] && resData['fundingtree']['funder']['id'] )?resData['fundingtree']['funder']['id']:"";
+                  value.funderName = (resData['fundingtree'] && resData['fundingtree']['funder'] && resData['fundingtree']['funder']['shortname'] )?resData['fundingtree']['funder']['shortname']:"";
                   if(resData.hasOwnProperty("startdate")) {
                     value.startDate = resData.startdate.split('-')[0];
                   }
@@ -187,6 +204,9 @@
 
               array.push(value);
         }
+        if(array.length == 0){
+          array.push({id:'-1',label:'No results found'});
+        }
         console.info("Parsing results.... Size:"+array.length);
 
         return array;
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/entitiesAutoComplete/entitiesAutoComplete.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/entitiesAutoComplete/entitiesAutoComplete.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/entitiesAutoComplete/entitiesAutoComplete.component.ts	(revision 46415)
@@ -27,14 +27,16 @@
           <div *ngIf="focus && showInput" class="uk-dropdown" aria-expanded="true" style="display:block" >
                 <ul class="uk-nav uk-nav-autocomplete uk-autocomplete-results" >
                       <li>
-                          <span *ngIf="showLoading" class="uk-alert uk-alert-primary" data-uk-alert=""> <i class="uk-icon-spinner"></i> Loading... </span>
+                          <span *ngIf="!_search.ready" class="uk-alert uk-alert-primary" data-uk-alert=""> <i class="uk-icon-spinner"></i> Loading..... </span>
                           <span *ngIf="warningMessage.length > 0" class="uk-alert uk-alert-warning" data-uk-alert="">{{warningMessage}}</span>
                           <span *ngIf="results > 0"  >  {{results}} results found:</span>
-                          <span *ngIf="results == 0 && !showLoading" class="uk-alert uk-alert-info" data-uk-alert=""> No results found</span>
+                          <!--span *ngIf="results == 0 && !showLoading" class="uk-alert uk-alert-info" data-uk-alert=""> No results found</span-->
                       </li>
                        <li      *ngFor=" let item of filtered | async">
-                        <a (click)="select(item)" [title]="showItem(item)"  style="text-overflow: ellipsis; ">{{showItem(item)}}</a>
-                    </li>
+                        <a *ngIf= "item.id !=-1 && item.id !=-2" (click)="select(item)" [title]="showItem(item)"  style="text-overflow: ellipsis; ">{{showItem(item)}}</a>
+                          <span *ngIf= "item.id ==-1"  class="uk-alert uk-alert-info" data-uk-alert=""> No results found</span>
+                          <span *ngIf= "item.id ==-2"  class="uk-alert uk-alert-warning" data-uk-alert=""> An error occured</span>
+                     </li>
                 </ul>
 
           </div>
@@ -76,7 +78,7 @@
     @Input() public depositType:string ;
     public results = 0;
     public focus:boolean  = false;
-    constructor (private _search:EntitiesSearchService, private myElement: ElementRef) {
+    constructor (public _search:EntitiesSearchService, private myElement: ElementRef) {
       this.currentFieldId=this.fieldId;
     }
 
Index: modules/uoa-services-portal/trunk/portal-2/src/server.routes.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/server.routes.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/server.routes.ts	(revision 46415)
@@ -14,9 +14,9 @@
   'search/person','search/publication','search/project','search/dataset','search/dataprovider','search/organization',
   'search/find/people','search/find/publications','search/find/projects','search/find/datasets','search/find/dataproviders','search/find/organizations',
   'search/advanced/people','search/advanced/publications','search/advanced/projects','search/advanced/datasets','search/advanced/dataproviders','search/advanced/organizations',
-  'deposit-publications','deposit-datasets','deposit-publications-result','deposit-datasets-result',
+  'participate/deposit-publications','participate/deposit-datasets','participate/deposit-publications-result','participate/deposit-datasets-result',
   'search/data-providers','search/entity-registries', 'project-report',
-  'claims','myclaims','linking', 'bulk-linking',
+  'claims','myclaims','participate/claim', 'participate/bulk-claim',
   'test',
   'error', 'login'
 
Index: modules/uoa-services-portal/trunk/portal-2/src/angular2-meta.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/angular2-meta.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/angular2-meta.ts	(revision 46415)
@@ -6,10 +6,10 @@
  * found in the LICENSE file at https://angular.io/license
  */
 
-import {Injectable} from '@angular/core';
+import {Injectable, Inject} from '@angular/core';
 // es6-modules are used here
 import {DomAdapter, getDOM} from '@angular/platform-browser/src/dom/dom_adapter';
-
+import {DOCUMENT} from '@angular/platform-browser';
 /**
  * Represent meta element.
  *
@@ -54,8 +54,14 @@
 @Injectable()
 export class Meta {
   private _dom: DomAdapter = getDOM();
-
+  constructor( @Inject(DOCUMENT) private _document: any) { }
   /**
+   * Sets the title of the page
+   */
+  setTitle(title: string) {
+    this._document.title = title
+  }
+  /**
    * Adds a new meta tag to the dom.
    *
    *  ### Example
@@ -119,6 +125,19 @@
     return this._prepareMetaElement(tag, meta);
   }
 
+  updateMeta(name, content) {
+       const head = this._document.head;
+       let childNodesAsList = this._dom.childNodesAsList(head);
+       let metaEl = childNodesAsList.find(el => el['attribs'] ?  el['attribs'].name == name : false);
+       if (metaEl) metaEl['attribs'].content = content;
+    }
+    updateProperty(property, content) {
+         const head = this._document.head;
+         let childNodesAsList = this._dom.childNodesAsList(head);
+         let metaEl = childNodesAsList.find(el => el['attribs'] ?  el['attribs'].property == property : false);
+         if (metaEl) metaEl['attribs'].content = content;
+      }
+
   /**
    * Removes meta tag with the given selector from the dom.
    *
@@ -168,11 +187,14 @@
     return el;
   }
 
+  // private _appendMetaElement(meta: HTMLMetaElement): void {
+  //   const head = this._dom.getElementsByTagName(this._dom.defaultDoc(), 'head')[0];
+  //   this._dom.appendChild(head, meta);
+  // }
   private _appendMetaElement(meta: HTMLMetaElement): void {
-    const head = this._dom.getElementsByTagName(this._dom.defaultDoc(), 'head')[0];
+    const head = this._document.head;
     this._dom.appendChild(head, meta);
   }
-
   private _removeMetaElement(meta: HTMLMetaElement): void {
     const head = this._dom.parentElement(meta);
     this._dom.removeChild(head, meta);
Index: modules/uoa-services-portal/trunk/portal-2/src/browser.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/browser.module.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/browser.module.ts	(revision 46415)
@@ -49,16 +49,12 @@
   providers: [
     { provide: 'isBrowser', useValue: isBrowser },
     { provide: 'isNode', useValue: isNode },
-
     { provide: 'req', useFactory: getRequest },
     { provide: 'res', useFactory: getResponse },
-
     { provide: 'LRU', useFactory: getLRU, deps: [] },
-
     CacheService,
+    Meta,
 
-    //Meta,
-
     // { provide: AUTO_PREBOOT, useValue: false } // turn off auto preboot complete
   ]
 })
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts	(revision 46415)
@@ -3,6 +3,8 @@
 import {ActivatedRoute, Router} from '@angular/router';
 import {Location} from '@angular/common';
 
+import { Meta, MetaDefinition} from '../../../angular2-meta';
+
 import { FetchPublications } from '../../utils/fetchEntitiesClasses/fetchPublications.class';
 import { FetchDataproviders } from  '../../utils/fetchEntitiesClasses/fetchDataproviders.class';
 import { FetchProjects } from  '../../utils/fetchEntitiesClasses/fetchProjects.class';
@@ -250,7 +252,7 @@
       private _searchDatasetsService: SearchDatasetsService,
       private _searchOrganizationsService: SearchOrganizationsService,
       private _searchPeopleService: SearchPeopleService,
-      private location: Location ) {
+      private location: Location, private _meta: Meta ) {
     this.fetchPublications = new FetchPublications(this._searchPublicationsService);
     this.fetchDataproviders = new FetchDataproviders(this._searchDataprovidersService);
     this.fetchProjects = new FetchProjects(this._searchProjectsService);
@@ -257,6 +259,12 @@
     this.fetchDatasets = new FetchDatasets( this._searchDatasetsService);
     this.fetchOrganizations = new FetchOrganizations( this._searchOrganizationsService);
     this.fetchPeople = new FetchPeople(this._searchPeopleService);
+    var description = "open access, research, scientific publication, European Commission, EC, FP7, ERC, Horizon 2020, H2020, search, projects ";
+    var title = "Search publications, datasets, projects... | OpenAIRE";
+    this._meta.setTitle(title);
+    this._meta.updateMeta("description", description);
+    this._meta.updateMeta("og:description", description);
+    this._meta.updateMeta("og:title", title);
   }
 
   public ngOnInit() {
@@ -268,6 +276,7 @@
           this.count();
       }
     });
+
   }
   public ngOnDestroy() {
     this.sub.unsubscribe();
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 46415)
@@ -7,6 +7,7 @@
 import {SearchUtilsClass} from './searchUtils.class';
 import {DOI, StringUtils} from '../../utils/string-utils.class';
 import {ModalLoading} from '../../utils/modal/loading.component';
+import { Meta} from '../../../angular2-meta';
 
 @Component({
     selector: 'search-page',
@@ -93,19 +94,29 @@
   public urlParam: string;
   public parameterNames:string[] =[];
   public parameterValues:string[] =[];
-  constructor (private location: Location ) {
-
+  constructor (private location: Location , private _meta: Meta) {
    }
 
   ngOnInit() {
         this.updateBaseUrlWithParameters(this.filters);
         this.defineUrlParam();
-        //console.info(this.entityType + "   " + this.urlParam);
+        this.updateTitle(this.pageTitle);
+        this.updateDescription("Openaire, search, repositories, open access, type, data provider, funder, project, " + this.type + "," +this.pageTitle);
+        // console.info(this.entityType + "   " + this.urlParam + this.type);
   }
   ngAfterViewChecked(){
 
   }
-
+  updateDescription(description:string){
+    this._meta.updateMeta("description", description);
+    this._meta.updateMeta("og:description", description);
+  }
+  updateTitle(title:string){
+    var _suffix ="| OpenAIRE";
+    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    this._meta.setTitle(_title );
+    this._meta.updateMeta("og:title",_title);
+  }
   private defineUrlParam() {
       if(this.entityType == "publication") {
           this.urlParam = "articleId";
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 46415)
@@ -7,6 +7,7 @@
 import {SearchUtilsClass} from './searchUtils.class';
 import {ModalLoading} from '../../utils/modal/loading.component';
 import {StringUtils, Dates} from '../../utils/string-utils.class';
+import { Meta} from '../../../angular2-meta';
 
 
 @Component({
@@ -66,15 +67,26 @@
   public baseURLWithParameters:string = '';
 
   @Output() queryChange  = new EventEmitter();
-  constructor (private location: Location) {
+  constructor (private location: Location, private _meta: Meta) {
    }
 
   ngOnInit() {
+    this.updateTitle("Advanced search "+this.pageTitle);
+    this.updateDescription("Openaire, search, repositories, open access, type, data provider, funder, project, "+ this.pageTitle);
       this.searchUtils.baseUrl = "/" + this.searchUtils.baseUrl;
      this.updateBaseUrlWithParameters();
      this.defineUrlParam();
   }
-
+  updateDescription(description:string){
+    this._meta.updateMeta("description", description);
+    this._meta.updateMeta("og:description", description);
+  }
+  updateTitle(title:string){
+    var _suffix ="| OpenAIRE";
+    var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+    this._meta.setTitle(_title );
+    this._meta.updateMeta("og:title",_title);
+  }
   private defineUrlParam() {
       if(this.entityType == "publication") {
           this.urlParam = "articleId";
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDataproviders.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 46415)
@@ -225,9 +225,9 @@
   private _getResults(parameters:string,refine:boolean, page: number, size: number){
       this.csvParams = parameters;
 
-    if(!refine && !this.searchPage){
-        this.searchPage = new SearchPageComponent(this._location);
-    }
+    // if(!refine && !this.searchPage){
+    //     this.searchPage = new SearchPageComponent(this._location);
+    // }
     var errorCodes:ErrorCodes = new ErrorCodes();
     this.searchUtils.status = errorCodes.LOADING;
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDatasets.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDatasets.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDatasets.component.ts	(revision 46415)
@@ -170,9 +170,9 @@
 private _getResults(parameters:string,refine:boolean, page: number, size: number){
     this.csvParams = parameters;
 
-  if(!refine && !this.searchPage){
-      this.searchPage = new SearchPageComponent(this._location);
-  }
+  // if(!refine && !this.searchPage){
+  //     this.searchPage = new SearchPageComponent(this._location);
+  // }
   var errorCodes:ErrorCodes = new ErrorCodes();
   this.searchUtils.status = errorCodes.LOADING;
   this.searchPage.openLoading();
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPeople.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPeople.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPeople.component.ts	(revision 46415)
@@ -45,9 +45,9 @@
     this.searchUtils.status =errorCodes.LOADING;
     this.baseUrl = OpenaireProperties.getLinkToSearchPeople();
     //get refine field filters  from url parameters
-    if(!this.searchPage){
-      this.searchPage = new SearchPageComponent(this._location);
-    }
+    // if(!this.searchPage){
+    //   this.searchPage = new SearchPageComponent(this._location);
+    // }
   }
 
   public ngOnInit() {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchOrganizations.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchOrganizations.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchOrganizations.component.ts	(revision 46415)
@@ -87,9 +87,9 @@
     private _getResults(parameters:string,refine:boolean, page: number, size: number){
         this.csvParams = parameters;
 
-      if(!refine && !this.searchPage){
-          this.searchPage = new SearchPageComponent(this._location);
-      }
+      // if(!refine && !this.searchPage){
+      //     this.searchPage = new SearchPageComponent(this._location);
+      // }
       var errorCodes:ErrorCodes = new ErrorCodes();
       this.searchUtils.status = errorCodes.LOADING;
       this.searchPage.openLoading();
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchProjects.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchProjects.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchProjects.component.ts	(revision 46415)
@@ -90,9 +90,9 @@
   private _getResults(parameters:string,refine:boolean, page: number, size: number){
       this.csvParams = parameters;
 
-    if(!refine && !this.searchPage){
-        this.searchPage = new SearchPageComponent(this._location);
-    }
+    // if(!refine && !this.searchPage){
+    //     this.searchPage = new SearchPageComponent(this._location);
+    // }
 
     var errorCodes:ErrorCodes = new ErrorCodes();
     this.searchUtils.status = errorCodes.LOADING;
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPublications.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPublications.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchPublications.component.ts	(revision 46415)
@@ -202,9 +202,9 @@
 private _getResults(parameters:string,refine:boolean, page: number, size: number){
     this.csvParams = parameters;
 
-  if(!refine && !this.searchPage){
-      this.searchPage = new SearchPageComponent(this._location);
-  }
+  // if(!refine && !this.searchPage){
+  //     this.searchPage = new SearchPageComponent(this._location);
+  // }
 
   var errorCodes:ErrorCodes = new ErrorCodes();
   this.searchUtils.status = errorCodes.LOADING;
Index: modules/uoa-services-portal/trunk/portal-2/src/app/app.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/app.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/app.component.ts	(revision 46415)
@@ -29,10 +29,10 @@
 
 
 
-          <div id="tm-main" class="tm-middle" uk-height-viewport="mode: expand">
+          <div id="tm-main" class="tm-middle custom-main-content" uk-height-viewport="mode: expand">
              <div class="uk-container uk-container-center">
                 <div class="uk-grid" uk-grid>
-                   <div class="tm-main uk-width-small-1-1 uk-width-medium-1-1  uk-width-large-1-1 uk-row-first">
+                   <div class="tm-main uk-width-small-1-1 uk-width-medium-1-1  uk-width-large-1-1 uk-row-first ">
 
                       <main>
                        <router-outlet></router-outlet>
@@ -51,7 +51,12 @@
                 </div>
              </div>
           </div>
-          <!--bottom></bottom-->
+          <cookie-law position="bottom">
+          OpenAIRE uses cookies in order to function properly.<br>
+          Cookies are small pieces of data that websites store in your browser to allow us to give you the best browsing experience possible.
+          By using the OpenAIRE portal you accept our use of cookies. <a href="//ec.europa.eu/ipg/basics/legal/cookies/index_en.htm" target="_blank"> Read more <i class="uk-icon-angle-double-right"></i></a>
+          </cookie-law>
+          <bottom></bottom>
 
 `
 
